Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
x509_ca.cpp File Reference
`#include <botan/x509_ca.h>`
`#include <botan/x509self.h>`
`#include <botan/pkcs10.h>`
`#include <botan/pubkey.h>`
`#include <botan/der_enc.h>`
`#include <botan/bigint.h>`
`#include <botan/parsing.h>`
`#include <botan/oids.h>`
`#include <botan/hash.h>`
`#include <botan/key_constraint.h>`
`#include <botan/emsa.h>`
`#include <botan/scan_name.h>`
`#include <algorithm>`
`#include <iterator>`
`#include <map>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
PK_Signer * | Botan::choose_sig_format (const Private_Key &key, RandomNumberGenerator &rng, const std::string &hash_fn, AlgorithmIdentifier &sig_algo)
PK_Signer * | Botan::choose_sig_format (const Private_Key &key, const std::map< std::string, std::string > &opts, RandomNumberGenerator &rng, const std::string &hash_fn, AlgorithmIdentifier &sig_algo)